Skip to main content
PUT
Update Session

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspace_id
string
required
session_id
string
required

Body

application/json

Updated session parameters

metadata
Metadata · object | null
configuration
SessionConfiguration · object | null

The set of options that can be in a session DB-level configuration dictionary.

All fields are optional. Session-level configuration overrides workspace-level configuration, which overrides global configuration.

Response

Successful Response

id
string
required
uid
string
required

Immutable identifier Honcho assigns to this session. id is the name the client chose; uid is generated by the server.

is_active
boolean
required
workspace_id
string
required
created_at
string<date-time>
required
metadata
Metadata · object
configuration
Configuration · object
scopes
string[] | null

Names of the scopes this session is an active member of. Only returned by the session list when include_scopes is true.